## Boxplots die mound und undisturbed unterscheiden, 
#physical and chemical soil properties


library(ggplot2)
library(tidyverse) 
library(ggpubr)

#load neccessary libraries

soildata<-read.table("C:/Users/kraus/Desktop/PhD/Tabellen/Soil Science data noNA.csv", 
                     header=TRUE, dec=",",sep=";")
soildata



soilpara<-read.table("C:/Users/kraus/Desktop/PhD/Tabellen/Soil science data GLMM noNA.csv", 
                     header=TRUE, dec=",",sep=";")
soilpara


#caclulating differences for physical + chemical parameters

diffclay<-soilpara$Clay.content.1-soilpara$Clay.content
diffsilt<-soilpara$Silt.content.1-soilpara$Silt.content
diffsand<-soilpara$Sand.content.1-soilpara$Sand.content
diffN<-soilpara$N.content.1-soilpara$N.content
diffC<-soilpara$C.content.1-soilpara$C.content
diffP<-soilpara$P.content.1-soilpara$P.content


min(diffclay, na.rm=TRUE)
max(diffclay, na.rm=TRUE)
mean(diffclay, na.rm=TRUE)

min(diffsilt, na.rm=TRUE)
max(diffsilt, na.rm=TRUE)
mean(diffsilt, na.rm=TRUE)

min(diffsand, na.rm=TRUE)
max(diffsand, na.rm=TRUE)
mean(diffsand, na.rm=TRUE)

min(diffC, na.rm=TRUE)
max(diffC, na.rm=TRUE)
mean(diffC, na.rm=TRUE)


min(diffN, na.rm=TRUE)
max(diffN, na.rm=TRUE)
mean(diffN, na.rm=TRUE)

min(diffP, na.rm=TRUE)
max(diffP, na.rm=TRUE)
mean(diffP, na.rm=TRUE)

#caclculate min,max,mean for fixed predictors

soilparanona<-read.table("C:/Users/kraus/Desktop/PhD/Tabellen/GLMMnona_properties_mound.csv", 
                         header=TRUE, dec=",",sep=";")
soilparanona

min(soilparanona$Mound_density)
max(soilparanona$Mound_density)
mean(soilparanona$Mound_density)

min(soilparanona$Slope)
max(soilparanona$Slope)
mean(soilparanona$Slope)

min(soilparanona$Hillside.elevation)
max(soilparanona$Hillside.elevation)
mean(soilparanona$Hillside.elevation)

min(soilparanona$Predicted.vegcover)
max(soilparanona$Predicted.vegcover)
mean(soilparanona$Predicted.vegcover)

###supplementary

#caslculating mean and standard deviation

moundav<-subset(soildata, soildata$Type == "Mound")
controlav<-subset(soildata, soildata$Type == "Undisturbed")
soildatas<-cbind( moundav,controlav)
mean(moundav$Silt, na.rm=TRUE)
mean(controlav$Silt, na.rm=TRUE)

PdAsubs<-subset(soildatas, soildatas$Site == "Pan de Azcar")
PdAmeanmcalc<-PdAsubs$Silt-PdAsubs$Silt.1
mean(PdAsubs$Silt)
mean(PdAsubs$Silt.1)

SGsubs<-subset(soildatas, soildatas$Site == "Santa Gracia")
mean(SGsubs$Silt)
mean(SGsubs$Silt.1)

LCsubs<-subset(soildatas, soildatas$Site == "La Campana")
mean(LCsubs$Silt, na.rm=TRUE)
mean(LCsubs$Silt.1, na.rm=TRUE)


##C difference
mean(PdAsubs$C, na.rm=TRUE)
mean(PdAsubs$C.1, na.rm=TRUE)

mean(SGsubs$C, na.rm=TRUE)
mean(SGsubs$C.1, na.rm=TRUE)

mean(LCsubs$C, na.rm=TRUE)
mean(LCsubs$C.1, na.rm=TRUE)


#Ndifference
mean(PdAsubs$N, na.rm=TRUE)
mean(PdAsubs$N.1, na.rm=TRUE)

mean(SGsubs$N, na.rm=TRUE)
mean(SGsubs$N.1, na.rm=TRUE)

mean(LCsubs$N, na.rm=TRUE)
mean(LCsubs$N.1, na.rm=TRUE)


PdAs<-subset(soildata, soildata$Site == "Pan de Azcar" )
SGs<-subset(soildata, soildata$Site == "Santa Gracia" )
LCs<-subset(soildata, soildata$Site == "La Campana" )

mean(PdAs$Clay)
sd(PdAs$Clay)
mean(SGs$Clay)
sd(SGs$Clay)
mean(LCs$Clay,na.rm=TRUE)
sd(LCs$Clay, na.rm=TRUE)

mean(PdAs$Silt)
sd(PdAs$Silt)
mean(SGs$Silt)
sd(SGs$Silt)
mean(LCs$Silt,na.rm=TRUE)
sd(LCs$Silt, na.rm=TRUE)


mean(PdAs$Sand)
sd(PdAs$Sand)
mean(SGs$Sand)
sd(SGs$Sand)
mean(LCs$Sand,na.rm=TRUE)
sd(LCs$Sand, na.rm=TRUE)

moundP<-subset(PdAs,PdAs$Type == "Mound")
undistP<-subset(PdAs,PdAs$Type == "Undisturbed")
moundS<-subset(SGs,SGs$Type == "Mound")
undistS<-subset(SGs,SGs$Type == "Undisturbed")
moundL<-subset(LCs,LCs$Type == "Mound")
undistL<-subset(LCs,LCs$Type == "Undisturbed")

mean(moundP$Clay)
sd(moundP$Clay)
mean(undistP$Clay)
sd(undistP$Clay)
mean(moundS$Clay)
sd(moundS$Clay)
mean(undistS$Clay)
sd(undistS$Clay)
mean(moundL$Clay, na.rm=TRUE)
sd(moundL$Clay, na.rm=TRUE)
mean(undistL$Clay, na.rm=TRUE)
sd(undistL$Clay, na.rm=TRUE)

mean(moundP$Silt)
sd(moundP$Silt)
mean(undistP$Silt)
sd(undistP$Silt)
mean(moundS$Silt)
sd(moundS$Silt)
mean(undistS$Silt)
sd(undistS$Silt)
mean(moundL$Silt, na.rm=TRUE)
sd(moundL$Silt, na.rm=TRUE)
mean(undistL$Silt, na.rm=TRUE)
sd(undistL$Silt, na.rm=TRUE)

mean(moundP$Sand)
sd(moundP$Sand)
mean(undistP$Sand)
sd(undistP$Sand)
mean(moundS$Sand)
sd(moundS$Sand)
mean(undistS$Sand)
sd(undistS$Sand)
mean(moundL$Sand, na.rm=TRUE)
sd(moundL$Sand, na.rm=TRUE)
mean(undistL$Sand, na.rm=TRUE)
sd(undistL$Sand, na.rm=TRUE)

mean(PdAs$C, na.rm=TRUE)
sd(PdAs$C,na.rm=TRUE )
mean(SGs$C,na.rm=TRUE )
sd(SGs$C, na.rm=TRUE)
mean(LCs$C,na.rm=TRUE)
sd(LCs$C, na.rm=TRUE)

mean(PdAs$N,na.rm=TRUE )
sd(PdAs$N, na.rm=TRUE)
mean(SGs$N, na.rm=TRUE)
sd(SGs$N,na.rm=TRUE )
mean(LCs$N,na.rm=TRUE)
sd(LCs$N, na.rm=TRUE)

mean(PdAs$P)
sd(PdAs$P)
mean(SGs$P)
sd(SGs$P)
mean(LCs$P,na.rm=TRUE)
sd(LCs$P, na.rm=TRUE)

mean(moundP$C,na.rm=TRUE)
sd(moundP$C,na.rm=TRUE)
mean(undistP$C,na.rm=TRUE)
sd(undistP$C,na.rm=TRUE)
mean(moundS$C,na.rm=TRUE)
sd(moundS$C,na.rm=TRUE)
mean(undistS$C,na.rm=TRUE)
sd(undistS$C,na.rm=TRUE)
mean(moundL$C, na.rm=TRUE)
sd(moundL$C, na.rm=TRUE)
mean(undistL$C, na.rm=TRUE)
sd(undistL$C, na.rm=TRUE)

mean(moundP$N,na.rm=TRUE)
sd(moundP$N,na.rm=TRUE)
mean(undistP$N,na.rm=TRUE)
sd(undistP$N,na.rm=TRUE)
mean(moundS$N,na.rm=TRUE)
sd(moundS$N,na.rm=TRUE)
mean(undistS$N,na.rm=TRUE)
sd(undistS$N,na.rm=TRUE)
mean(moundL$N, na.rm=TRUE)
sd(moundL$N, na.rm=TRUE)
mean(undistL$N, na.rm=TRUE)
sd(undistL$N, na.rm=TRUE)

mean(moundP$P)
sd(moundP$P)
mean(undistP$P)
sd(undistP$P)
mean(moundS$P)
sd(moundS$P)
mean(undistS$P)
sd(undistS$P)
mean(moundL$P, na.rm=TRUE)
sd(moundL$P, na.rm=TRUE)
mean(undistL$P, na.rm=TRUE)
sd(undistL$P, na.rm=TRUE)


###graphs
library(ggplot2)
library(tidyverse) 
library(ggpubr)

#Boxplots chemical soil properties

soildata$Site<-factor(soildata$Site,
                      levels=c("La Campana",
                               "Santa Gracia","Pan de Azcar"))

pd<-position_dodge(0.2)
Ccont<-ggplot(soildata, aes(x=Site, y=C, fill=Type))+
  ylab("C-content [%]")+
  xlab("")+
  scale_y_continuous(limits=c(0,10), breaks=c(0,5,10))+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  geom_boxplot(fatten=1, position=pd, show.legend=FALSE,
               outlier.shape = NA) 
Ccont
Cconte<-Ccont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
  theme(panel.border = element_rect(colour = "black", fill=NA))
Cconte


Ncont<-ggplot(soildata, aes(x=Site, y=N, fill=Type))+
  scale_y_continuous(trans="log10", limits=c(0.1,1),breaks=c(0.1,0.5,1))+ 
  ylab("N-content [%]")+
  xlab("")+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  geom_boxplot(fatten=1, position=pd, show.legend=FALSE,
               outlier.shape = NA) 
Ncont
Nconte<-Ncont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
theme(panel.border = element_rect(colour = "black", fill=NA))
Nconte


Pcont<-ggplot(soildata, aes(x=Site, y=P, fill=Type))+
  ylab("P-content [ppm]")+
  xlab("")+
  scale_y_continuous(limits=c(0.5,1),breaks=c(0.5,0.8,1))+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  geom_boxplot(fatten=1, position=pd, show.legend=FALSE,
               outlier.shape = NA) 
Pcont
Pconte<-Pcont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
  theme(legend.title=element_blank())+
theme(panel.border = element_rect(colour = "black", fill=NA))
Pconte

library(ggpubr)

macron <- ggarrange(Cconte, Nconte, Pconte,
                    labels=c("A)","B)","C)"),
                    font.label = list(size = 11, color = "black", 
                                      face = "plain", family = NULL),
                    ncol = 3, nrow = 1)
macron

#Boxplots physical soil properties

Claycont<-ggplot(soildata, aes(x=Site, y=Clay, fill=Type))+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  ylab("Clay content [%]")+
  xlab("")+
  scale_y_continuous(limits=c(0.0,0.6),breaks=c(0,0.3,0.6),labels=c(0,30,60))+
  geom_boxplot(fatten=1,position=pd, show.legend=FALSE,
               outlier.shape = NA)  
Claycont
Clayconte<-Claycont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
  theme(panel.border = element_rect(colour = "black", fill=NA))
Clayconte

Siltcont<-ggplot(soildata, aes(x=Site, y=Silt, fill=Type))+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  scale_y_continuous(limits=c(0.0,0.6),breaks=c(0,0.3,0.6),labels=c(0,30,60))+
  ylab("Silt content [%]")+
  xlab("")+
  geom_boxplot(fatten=1,position=pd, show.legend=FALSE,
               outlier.shape = NA)  
Siltcont
Siltconte<-Siltcont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
  theme(panel.border = element_rect(colour = "black", fill=NA))
Siltconte

Sandcont<-ggplot(soildata, aes(x=Site, y=Sand, fill=Type))+
  scale_fill_manual(values=c("#E69F00", "#999999"))+
  scale_y_continuous(limits=c(0,0.6),breaks=c(0,0.3,0.6),labels=c(0,30,60))+
  ylab("Sand content [%]")+
  xlab("")+
  geom_boxplot(fatten=1,position=pd, show.legend=FALSE,
               outlier.shape = NA)  
Sandcont
Sandconte<-Sandcont + coord_flip() + theme_classic()+
  theme(axis.text.y=element_blank())+
  theme(panel.border = element_rect(colour = "black", fill=NA))
Sandconte

texture<-ggarrange(Clayconte, Siltconte, Sandconte,
                   labels=c("A)","B)","C)"),
                   font.label = list(size = 11, color = "black", 
                                     face = "plain", family = NULL),
                   ncol = 3, nrow = 1)
texture



#effectplots

library(nlme)
library(lme4)
library(MuMIn)
library(lmerTest)
library(buildmer)
library(rsq)
library(datasets)
library(MASS)
library(car)
library(effects)
library(grid)
library(gridExtra)
library(ggplot2)
library(ggeffects)
library(visreg)
library(lattice)
library(plotmo)
library(visreg)
library(lattice)
library(lattice)
library(ggpubr)


soilparanona<-read.table("C:/Users/kraus/Desktop/PhD/Tabellen/GLMMnona_properties_mound.csv", 
                         header=TRUE, dec=",",sep=";")
soilparanona


soilparanona$Hillside.elevation.s<-NA
for (i in c ("Pan de Azcar", "Santa Gracia", "La Campana")) {
  pos<-which(soilparanona$Site == i)
  soilparanona$Hillside.elevation.s[pos] <- scale(soilparanona$Hillside.elevation[pos])
}

#calculating differences
diffclay<-soilparanona$Clay.content.1-soilparanona$Clay.content
diffsilt<-soilparanona$Silt.content.1-soilparanona$Silt.content
diffsand<-soilparanona$Sand.content.1-soilparanona$Sand.content
diffN<-soilparanona$N.content.1-soilparanona$N.content
diffC<-soilparanona$C.content.1-soilparanona$C.content
diffP<-soilparanona$P.content.1-soilparanona$P.content
Mound.density<-log10(soilparadatanona$Mound_density)


soilparadatanona<-cbind(soilparanona,Mound.density,diffclay,diffsilt,diffsand,diffN,diffC,diffP)
soilparadatanona

###scatterplots mound-control of all measures parameters

clays<-ggscatter(soilparadatanona, x="diffclay", y="Mound.density",
                 xlab="Clay content(mound-control) [%]", 
                 ylab ="Mound density [No/ 100 m]",
                 add="reg.line", conf.int = TRUE, cor.coef = TRUE)
clays 

silts<-ggscatter(soilparadatanona, x="diffsilt", y="Mound.density",
                 xlab="Silt content(mound-control) [%]", 
                 ylab ="Mound density [No/ 100 m]",
                 add="reg.line", conf.int = TRUE, cor.coef = TRUE)
silts 

sands<-ggscatter(soilparadatanona, x="diffsand", y="Mound.density",
                 xlab="Sand content(mound-control) [%]", 
                 ylab ="Mound density [No/ 100 m]",
                 add="reg.line", conf.int = TRUE, cor.coef = TRUE)
sands 

Nitros<-ggscatter(soilparadatanona, x="diffN", y="Mound.density",
                 xlab="Nitrogen content(mound-control) [%]", 
                 ylab ="Mound density [No/ 100 m]",
                 add="reg.line", conf.int = TRUE, cor.coef = TRUE)
Nitros 

Cars<-ggscatter(soilparadatanona, x="diffC", y="Mound.density",
                  xlab="Carbon content(mound-control) [%]", 
                  ylab ="Mound density [No/ 100 m]",
                  add="reg.line", conf.int = TRUE, cor.coef = TRUE)
Cars

Poss<-ggscatter(soilparadatanona, x="diffP", y="Mound.density",
                xlab="Phosphorus content(mound-control) [%]", 
                ylab ="Mound density [No/ 100 m]",
                add="reg.line", conf.int = TRUE, cor.coef = TRUE)
Poss



###min and max for table
min(soilparadatanona$diffclay, na.rm=TRUE)
max(soilparadatanona$diffclay, na.rm=TRUE)
min(soilparadatanona$diffsilt, na.rm=TRUE)
max(soilparadatanona$diffsilt, na.rm=TRUE)
min(soilparadatanona$diffsand, na.rm=TRUE)
max(soilparadatanona$diffsand, na.rm=TRUE)
min(soilparadatanona$diffC, na.rm=TRUE)
max(soilparadatanona$diffC, na.rm=TRUE)
min(soilparadatanona$diffN, na.rm=TRUE)
max(soilparadatanona$diffN, na.rm=TRUE)
min(soilparadatanona$diffP, na.rm=TRUE)
max(soilparadatanona$diffP, na.rm=TRUE)
min(soilparadatanona$Mound_density, na.rm=TRUE)
max(soilparadatanona$Mound_density, na.rm=TRUE)
min(soilparadatanona$Slope, na.rm=TRUE)
max(soilparadatanona$Slope, na.rm=TRUE)
min(soilparadatanona$Hillside.elevation, na.rm=TRUE)
max(soilparadatanona$Hillside.elevation, na.rm=TRUE)
min(soilparadatanona$Predicted.vegcover, na.rm=TRUE)
max(soilparadatanona$Predicted.vegcover, na.rm=TRUE)
min(soilparadatanona$Plot_no, na.rm=TRUE)
max(soilparadatanona$Plot_no, na.rm=TRUE)

###Korrelationskoeffizienten der abhngigen Variablen
cor.test(soilparadatanona$diffclay, soilparadatanona$diffsilt, na.rm=TRUE)
cor.test(soilparadatanona$diffclay, soilparadatanona$diffsand, na.rm=TRUE)
cor.test(soilparadatanona$diffclay, soilparadatanona$diffC, na.rm=TRUE)
cor.test(soilparadatanona$diffclay, soilparadatanona$diffN, na.rm=TRUE)
cor.test(soilparadatanona$diffclay, soilparadatanona$diffP, na.rm=TRUE)
cor.test(soilparadatanona$diffsilt, soilparadatanona$diffsand, na.rm=TRUE)
cor.test(soilparadatanona$diffsilt, soilparadatanona$diffC, na.rm=TRUE)
cor.test(soilparadatanona$diffsilt, soilparadatanona$diffN, na.rm=TRUE)
cor.test(soilparadatanona$diffsilt, soilparadatanona$diffP, na.rm=TRUE)
cor.test(soilparadatanona$diffsand, soilparadatanona$diffC, na.rm=TRUE)
cor.test(soilparadatanona$diffsand, soilparadatanona$diffN, na.rm=TRUE)
cor.test(soilparadatanona$diffsand, soilparadatanona$diffP, na.rm=TRUE)
cor.test(soilparadatanona$diffC, soilparadatanona$diffN, na.rm=TRUE)
cor.test(soilparadatanona$diffC, soilparadatanona$diffP, na.rm=TRUE)
cor.test(soilparadatanona$diffN, soilparadatanona$diffP, na.rm=TRUE)


#diffclayeffects
diffclaymodelfiti<-glmer(diffclay ~ Site + Mound.density + Slope + Hillside.elevation.s +  
                           Predicted.vegcover + Season + Site*Mound.density +
                           Site*Slope +  
                           Site*Hillside.elevation.s + 
                           Site*Predicted.vegcover +  Site*Season + (1|Plot_no),
                         data=soilparadatanona, 
                         family="gaussian",
                         control=lmerControl(optimizer="bobyqa"))


soilparadatanona$Site<-factor(soilparadatanona$Site,
                              levels=c("La Campana",
                                       "Santa Gracia","Pan de Azcar"))


visclaynsPdA<-visreg(diffclaymodelfiti, "Slope",by="Site","Pan de Azcar", line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Slope []",ylab="")



visclayns<-visreg(diffclaymodelfiti, "Slope",by="Site","Santa Gracia",  line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Slope []",ylab="")

visclayns<-visreg(diffclaymodelfiti, "Slope",by="Site","La Campana",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Slope []",ylab="")



visclaynh<-visreg(diffclaymodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

visclaynv<-visreg(diffclaymodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

visclaynse<-visreg(diffclaymodelfiti, "Season",by="Site",line=list(col="blue", lwd=0.8),
                   partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))

#diffsilteffects
diffsiltmodelfiti<-glmer(diffsilt ~ Site + Mound.density +  Slope + 
                           Hillside.elevation.s +  Predicted.vegcover + Season +
                           Site*+ Mound.density + Site*Slope +  
                           Site*Hillside.elevation.s + Site*Predicted.vegcover +
                           Site*Season + (1|Plot_no),
                         data=soilparadatanona, 
                         family="gaussian",
                         control=lmerControl(optimizer="bobyqa"))

soilparadatanona$Site<-factor(soilparadatanona$Site,
                              levels=c("La Campana",
                                       "Santa Gracia","Pan de Azcar"))

vissiltns<-visreg(diffsiltmodelfiti, "Slope",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Slope []",ylab="",layout = c(1, 3))

vissiltnh<-visreg(diffsiltmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

vissiltnv<-visreg(diffsiltmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

vissiltnse<-visreg(diffsiltmodelfiti, "Season",by="Site",line=list(col="blue", lwd=0.8),
                   partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))


#diffsandeffects
diffsandmodelfiti<-glmer(diffsand ~ Site + + Mound.density + Slope + 
                           Hillside.elevation.s +  Predicted.vegcover + Season + 
                           Site*+ Mound.density + Site*Slope + 
                           Site*Hillside.elevation.s + Site*Predicted.vegcover +  
                           Site*Season + (1|Plot_no),
                         data=soilparadatanona, 
                         family="gaussian",
                         control=lmerControl(optimizer="bobyqa"))

soilparadatanona$Site<-factor(soilparadatanona$Site,
                              levels=c("La Campana",
                                       "Santa Gracia","Pan de Azcar"))

vissandns<-visreg(diffsandmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Slope []",ylab="",layout = c(1, 3))

vissandnh<-visreg(diffsandmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

vissandnv<-visreg(diffsandmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

vissandnse<-visreg(diffsandmodelfiti, "Season",by="Site",line=list(col="blue", lwd=0.8),
                   partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))


#diffNeffects
diffNmodelfiti<-glmer(diffN ~ Site + Mound_density + Slope + Hillside.elevation.s +  
                        Predicted.vegcover + Season + Site*Mound_density +
                        Site*Slope + Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover +  Site*Season + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))


visNns<-visreg(diffNmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Slope []",ylab="",layout = c(1, 3))

visNnh<-visreg(diffNmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

visNnv<-visreg(diffNmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

visNnse<-visreg(diffNmodelfiti, "Season",by="Site",line=list(col="blue", lwd=0.8),
                partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))


#diffCeffects
diffCmodelfiti<-glmer(diffC ~ Site + Mound.density + Slope + Hillside.elevation.s +  
                        Predicted.vegcover + Season + Site*Mound.density +
                        Site*Slope +  Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover +  Site*Season + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))


visCns<-visreg(diffCmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Slope []",ylab="",layout = c(1, 3))

visCnh<-visreg(diffCmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

visCnv<-visreg(diffCmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

visCnse<-visreg(diffCmodelfiti, "Season",by="Site",line=list(col="blue", lwd=0.8),
                partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))

#diffPeffects
diffPmodelfiti<-glmer(diffP ~ Site + + Mound.density + Slope + Hillside.elevation.s +  
                        Predicted.vegcover + Season + Site*+ Mound.density + 
                        Site*Slope +  Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover +  Site*Season + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))


visPns<-visreg(diffPmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Slope []",ylab="",layout = c(1, 3))

visPnh<-visreg(diffPmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Standardized hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

visPnv<-visreg(diffPmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

visPnse<-visreg(diffPmodelfiti, "Season",by="Site",type=c("conditional"),line=list(col="blue", lwd=0.8),
                partial=TRUE,xlab="Season", ylab="",layout = c(1, 3))



##effectplots that are significant
library(nlme)
library(lme4)
library(MuMIn)
library(lmerTest)
library(buildmer)
library(rsq)
library(datasets)
library(MASS)
library(car)
library(effects)
library(grid)
library(gridExtra)
library(ggplot2)
library(ggeffects)
library(visreg)
library(lattice)
library(plotmo)
library(visreg)
library(lattice)
library(lattice)
library(latticeExtra)
#data without NA
soilparanona<-read.table("C:/Users/kraus/Desktop/PhD/Tabellen/GLMMnona_properties_mound.csv", 
                         header=TRUE, dec=",",sep=";")
soilparanona



soilparanona$Hillside.elevation.s<-NA
for (i in c ("Pan de Azcar", "Santa Gracia", "La Campana")) {
  pos<-which(soilparanona$Site == i)
  soilparanona$Hillside.elevation.s[pos] <- scale(soilparanona$Hillside.elevation[pos])
}

#calculating differences
diffclay<-soilparanona$Clay.content.1-soilparanona$Clay.content
diffsilt<-soilparanona$Silt.content.1-soilparanona$Silt.content
diffsand<-soilparanona$Sand.content.1-soilparanona$Sand.content
diffN<-soilparanona$N.content.1-soilparanona$N.content
diffC<-soilparanona$C.content.1-soilparanona$C.content
diffP<-soilparanona$P.content.1-soilparanona$P.content
Mound.density<-log10(soilparadatanona$Mound_density)


soilparadatanona<-cbind(soilparanona,Mound.density,diffclay,diffsilt,diffsand,diffN,diffC,diffP)
soilparadatanona


#diffNeffects
diffNmodelfiti<-glmer(diffN ~ Site +  Hillside.elevation.s +  
                        Predicted.vegcover  + 
                         Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover  + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))


soilparadatanona$Site<-factor(soilparadatanona$Site,
                      levels=c( "La Campana",
                               "Santa Gracia","Pan de Azcar"))

visNnh<-visreg(diffNmodelfiti, "Hillside.elevation.s",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Hillside elevation [m a.s.l.]",ylab="",layout = c(1, 3))

visNnv<-visreg(diffNmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))


visNnm<-visreg(diffNmodelfiti, "Mound.density",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE, xlab= "Mound density [No/ 100 m]", ylab="", layout = c(1, 3),
              scales=list(x=list(at=c(0.0, 0.5, 1.0,1.5), labels=c(1,3,10,30))))


diffNmodelfiti<-glmer(diffN ~ Site  + Slope + Hillside.elevation.s +  
                        Predicted.vegcover  + 
                        Site*Slope +  Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover  + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))

visNns<-visreg(diffNmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Hillslope []",ylab="",layout = c(1, 3))


               
diffNmodelfiti<-glmer(diffN ~ Site + Mound_density + Slope + Hillside.elevation.s +  
                        Predicted.vegcover  + Site*Mound_density +
                        Site*Slope +  Site*Hillside.elevation.s + 
                        Site*Predicted.vegcover  + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))

visNnm<-visreg(diffNmodelfiti, "Mound_density",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE, xlab= "Mound density [No/ 100 m]", ylab="", layout = c(1, 3),
               scales = list(x = list(log = 10)),
               xscale.components = xscale.components.log10.3)
           
               

#diffCeffects
diffCmodelfiti<-glmer(diffC ~ Site + Mound.density + Slope + 
                        Predicted.vegcover  + Site*Mound.density + 
                        Site*Slope + 
                        Site*Predicted.vegcover  + (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))



visCnv<-visreg(diffCmodelfiti, "Predicted.vegcover",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab="Vegetation cover [%]", ylab="",layout = c(1, 3))

visCnm<-visreg(diffCmodelfiti, "Mound.density",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Mound density [No/ 100 m]",ylab="",layout = c(1, 3),
              scales=list(x=list(at=c(0.0, 0.5, 1.0,1.5), labels=c(1,3,10,30))))

visCns<-visreg(diffCmodelfiti, "Slope",by="Site",line=list(col="blue", lwd=0.8),
               partial=TRUE,xlab= "Hillslope []",ylab="",layout = c(1, 3))

###silteffects
diffsiltmodelfiti<-glmer(diffsilt ~ Site + Mound.density + Slope + 
                         Site*Mound.density + 
                         (1|Plot_no),
                      data=soilparadatanona, 
                      family="gaussian",
                      control=lmerControl(optimizer="bobyqa"))

vissiltnm<-visreg(diffsiltmodelfiti, "Mound.density",by="Site",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab= "Mound density [No/ 100 m]",ylab="",layout = c(1, 3),
                  scales=list(x=list(at=c(0.0, 0.5, 1.0,1.5), labels=c(1,3,10,30))))

vissiltns<-visreg(diffsiltmodelfiti, "Slope",line=list(col="blue", lwd=0.8),
                  partial=TRUE,xlab= "Hillslope []",ylab="",
scales=list(x=list(at=c(10,20,30,40), labels=c(10,20,30,40))))




